Bug 11313 - wbinfo --gid-to-sid lookup fails with idmap_rfc2307 backend
wbinfo --gid-to-sid lookup fails with idmap_rfc2307 backend
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.2.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-04 20:09 UTC by Christof Schmitt
Modified: 2015-06-17 18:04 UTC (History)
2 users (show)

See Also:


Attachments
Backported patches for 4.1 (7.84 KB, patch)
2015-06-05 16:19 UTC, Christof Schmitt
cs: review+
jra: review+
Details
Backported patches for 4.2 (7.82 KB, patch)
2015-06-05 16:19 UTC, Christof Schmitt
cs: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2015-06-04 20:09:02 UTC
This code path fails due to a syntax error in the ldap query. Patch to follow.
Comment 1 Christof Schmitt 2015-06-05 16:19:01 UTC
Created attachment 11122 [details]
Backported patches for 4.1
Comment 2 Christof Schmitt 2015-06-05 16:19:19 UTC
Created attachment 11123 [details]
Backported patches for 4.2
Comment 3 Jeremy Allison 2015-06-05 17:41:40 UTC
Re-assigning to Karolin for inclusion in 4.2.next, 4.1.next.
Comment 4 Karolin Seeger 2015-06-06 20:12:20 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-[1|2]-test.
Comment 5 Karolin Seeger 2015-06-09 19:39:21 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-2-test.
autobuild-v4-1-test failed, re-trying.
Comment 6 Karolin Seeger 2015-06-17 18:04:11 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!